package Shipment::FedEx::WSDL::TrackTypes::CustomerExceptionRequestDetail;
$Shipment::FedEx::WSDL::TrackTypes::CustomerExceptionRequestDetail::VERSION = '3.05';
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns {'http://fedex.com/ws/track/v9'}

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{    # BLOCK to scope variables

    my %Id_of : ATTR(:get<Id>);
    my %StatusCode_of : ATTR(:get<StatusCode>);
    my %StatusDescription_of : ATTR(:get<StatusDescription>);
    my %CreateTime_of : ATTR(:get<CreateTime>);

    __PACKAGE__->_factory(
        [   qw(        Id
              StatusCode
              StatusDescription
              CreateTime

              )
        ],
        {   'Id'                => \%Id_of,
            'StatusCode'        => \%StatusCode_of,
            'StatusDescription' => \%StatusDescription_of,
            'CreateTime'        => \%CreateTime_of,
        },
        {   'Id'                => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
            'StatusCode'        => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
            'StatusDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
            'CreateTime' => 'SOAP::WSDL::XSD::Typelib::Builtin::dateTime',
        },
        {

            'Id'                => 'Id',
            'StatusCode'        => 'StatusCode',
            'StatusDescription' => 'StatusDescription',
            'CreateTime'        => 'CreateTime',
        }
    );

}    # end BLOCK


1;

__END__

=pod

=encoding UTF-8

=head1 NAME

Shipment::FedEx::WSDL::TrackTypes::CustomerExceptionRequestDetail

=head1 VERSION

version 3.05

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
CustomerExceptionRequestDetail from the namespace http://fedex.com/ws/track/v9.

=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Id

=item * StatusCode

=item * StatusDescription

=item * CreateTime

=back

=head1 NAME

Shipment::FedEx::WSDL::TrackTypes::CustomerExceptionRequestDetail

=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # Shipment::FedEx::WSDL::TrackTypes::CustomerExceptionRequestDetail
   Id =>  $some_value, # string
   StatusCode =>  $some_value, # string
   StatusDescription =>  $some_value, # string
   CreateTime =>  $some_value, # dateTime
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=head1 AUTHOR

Andrew Baerg <baergaj@cpan.org>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2018 by Andrew Baerg.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
