package Shipment::FedEx::WSDL::TrackTypes::TrackStatusAncillaryDetail;
$Shipment::FedEx::WSDL::TrackTypes::TrackStatusAncillaryDetail::VERSION = '3.05';
use strict;
use warnings;


__PACKAGE__->_set_element_form_qualified(1);

sub get_xmlns {'http://fedex.com/ws/track/v9'}

our $XML_ATTRIBUTE_CLASS;
undef $XML_ATTRIBUTE_CLASS;

sub __get_attr_class {
    return $XML_ATTRIBUTE_CLASS;
}

use Class::Std::Fast::Storable constructor => 'none';
use base qw(SOAP::WSDL::XSD::Typelib::ComplexType);

Class::Std::initialize();

{    # BLOCK to scope variables

    my %Reason_of : ATTR(:get<Reason>);
    my %ReasonDescription_of : ATTR(:get<ReasonDescription>);
    my %Action_of : ATTR(:get<Action>);
    my %ActionDescription_of : ATTR(:get<ActionDescription>);

    __PACKAGE__->_factory(
        [   qw(        Reason
              ReasonDescription
              Action
              ActionDescription

              )
        ],
        {   'Reason'            => \%Reason_of,
            'ReasonDescription' => \%ReasonDescription_of,
            'Action'            => \%Action_of,
            'ActionDescription' => \%ActionDescription_of,
        },
        {   'Reason'            => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
            'ReasonDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
            'Action'            => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
            'ActionDescription' => 'SOAP::WSDL::XSD::Typelib::Builtin::string',
        },
        {

            'Reason'            => 'Reason',
            'ReasonDescription' => 'ReasonDescription',
            'Action'            => 'Action',
            'ActionDescription' => 'ActionDescription',
        }
    );

}    # end BLOCK


1;

__END__

=pod

=encoding UTF-8

=head1 NAME

Shipment::FedEx::WSDL::TrackTypes::TrackStatusAncillaryDetail

=head1 VERSION

version 3.05

=head1 DESCRIPTION

Perl data type class for the XML Schema defined complexType
TrackStatusAncillaryDetail from the namespace http://fedex.com/ws/track/v9.

=head2 PROPERTIES

The following properties may be accessed using get_PROPERTY / set_PROPERTY
methods:

=over

=item * Reason

=item * ReasonDescription

=item * Action

=item * ActionDescription

=back

=head1 NAME

Shipment::FedEx::WSDL::TrackTypes::TrackStatusAncillaryDetail

=head1 METHODS

=head2 new

Constructor. The following data structure may be passed to new():

 { # Shipment::FedEx::WSDL::TrackTypes::TrackStatusAncillaryDetail
   Reason =>  $some_value, # string
   ReasonDescription =>  $some_value, # string
   Action =>  $some_value, # string
   ActionDescription =>  $some_value, # string
 },

=head1 AUTHOR

Generated by SOAP::WSDL

=head1 AUTHOR

Andrew Baerg <baergaj@cpan.org>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2018 by Andrew Baerg.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
